<?php
//v1.0.4 www.bcoos.net 2006/10 GPL
//v3.1 www.exoops.info 2006/03
##################################################################################
# Friend Finder for e-xoops  Version 3.02 beta                                 #
#                                                                                #
# Script design  : PhpMeet  :   Copyright 2002 Jeremy Ross-webmaster@phprank.com #
# Created 15/01/02              Last Modified 15/01/02                           #
# Scripts Home              :   http://www.jrscripts.com                         #
#                                                                                #
# Xoops-RC2 French Version  :   jokerman@free.fr                                 #
# Web Home                     :   http://www.webetfric.com                      #
#                                                                                #
# Xoops-RC2 English Version :          Neon@neon.qldgamers.com                   #
# Web Home                  :   http://neon.qldgamers.com                        #
#                                                                                #
#                 Redesigned and new improvemends by                             #
#        eagle81 Manuel Caballero       Manuel@dancepartner.net                  #
#                    http://www.dancepartner.net                                 #
#                             2002-09-12                                         #
##################################################################################
include("../../mainfile.php");
include(XOOPS_ROOT_PATH."/header.php");
include(XOOPS_ROOT_PATH."/modules/friendfinder/cache/config.php");
include(XOOPS_ROOT_PATH."/modules/friendfinder/header.php");
include(XOOPS_ROOT_PATH."/modules/friendfinder/age.php");
include(XOOPS_ROOT_PATH."/include/xoopscodes.php");
global $db, $xoopsTheme, $bcoosConfig, $xoopsModule,$xoopsUser;
$user=$xoopsUser->uname("E");
//echo $user;
//$myts =&MyTextSanitizer::getInstance();
$xoopsOption['show_rblock']= 1 ;
if($sec) {
   switch($sec) {
        case 'del':
$path = ("members/uploads/");
$result = $db->query("SELECT pic FROM ".$db->prefix("friendfinder")." WHERE (user = '$user')");
$arrayres = $db->fetchArray($result);
if ( !is_dir($path.$arrayres['pic']) ) {
//echo "Deleting ".$path.$file."<br />";
unlink($path.$arrayres['pic']);
}
$result = "DELETE FROM ".$db->prefix("friendfinder")." WHERE (user = '$user')";
	if(!$result = mysql_query($result))
        die("Error! Could not connect to database!");
        redirect_header("index.php",4,_TEXTUSERDELETED."");
        exit;
        break;
        }
}
$view = mysql_query("SELECT * FROM ".$db->prefix("friendfinder")." WHERE (user ='$user')");
while ($i=mysql_fetch_array($view))
{
$imgname = $i['imgname'];
$imgtime = $i['imgtime'];
$img = $i['pic'];
$date = $i['date'];
$time = $i['time'];
$ip   = $i['ip'];
echo "<BR>
<TABLE BORDER=0 CELLPADDING=0 CELLSPACING=0 WIDTH=600>
<TR>
<TD WIDTH=600 VALIGN=top>
<TABLE BORDER=0 CELLPADDING=2 CELLSPACING=1 WIDTH=600>
<TR>
<TD WIDTH=600 VALIGN=top>
<FORM METHOD=\"POST\" ACTION=\"$PHP_SELF?id=".$i['id']."\">
<TABLE BORDER=0 CELLPADDING=0 CELLSPACING=0 WIDTH=100%>
<TR>
<TD WIDTH=600 COLSPAN=2>
<BR>
<BR><P></DIV>
</TD>
</TR>
<TR>
<TD WIDTH=150>
"._UNAME."
</TD>
<TD WIDTH=450>
".$i['name']."
</TD>
</TR>";
$email = "".$i['email']."";
if ($email == '')
{
echo "";
}
else
{
echo "<TR><TD WIDTH=150>
"._TEXTEMAIL."
</TD>
<TD WIDTH=450>
".$i['email']."
</TD>
</TR>";
}
echo "
<TR>
<TD WIDTH=150>
"._TEXTDESCRIPTION."
</TD>
<TD WIDTH=450>";
$text = $i['Description'];
echo $text;
echo"</TD>
</TR>
<TR>
<TD WIDTH=150 VALIGN=top>
&nbsp;
</TD>
<TD WIDTH=450><BR>";
echo "<INPUT TYPE=hidden NAME=sec VALUE=\"del\">
<INPUT TYPE=hidden NAME=imgtime VALUE=$imgtime>
<INPUT TYPE=\"submit\" class=\"button\" VALUE="._delen.">
</TD>
</TR>
</TABLE>
</FORM>
<BR></TD></TR>
</TABLE>
</TD>
</TR>
</TABLE>";
}
include("../../footer.php");
?>
